Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Hjsplit for Linux 2.3 probleem (filesplitter en joiner)  (gelezen 1942 keer)

Offline merijn

  • Lid
  • Steunpunt: Nee
Hjsplit for Linux 2.3 probleem (filesplitter en joiner)
« Gepost op: 2006/09/17, 17:30:13 »
Hoi,ik heb op deze site http://www.freebyte.com/hjsplit  dus de linuxversie van dit programma gedownload.
Ook heb ik de benodigde bibliotheken geinstalleerd die appart gedwownload moesten worden.
Deze staan nu in de juiste directory.
Verder kon ik nergens op de site van freebyte vinden waar ik hjsplit zelf moest installeren.
Het betreft een tar.gz bestand.
Deze heb ik uitgepakt en geprobeerd te kopieren naar waar meestal de linux executable bestanden naar toe gaan bijvoorbeeld in usr/bin/ maar dat werkte niet.
Ook heb ik het geprobeerd te installeren in usr/share/ maar goed alles mocht niet baten.
Is er misschien iemand die dit programma wel aan de praat heeft gekregen?,en weet hoe je hjsplit dan wel moet installeren?.

Met vriendelijke groet,

Merijn Versteeg

socratux

  • Gast
Hjsplit for Linux 2.3 probleem (filesplitter en joiner)
« Reactie #1 Gepost op: 2006/09/17, 18:26:50 »
Dit vond ik op een ander forum:
Citaat
I got the graphical version of hjsplit working by compiling and installing LX Split and
GTKlxsplit from this page:
http://www.freebyte.com/hjsplit/
You want http://www.freebyte.com/download/lxsplit.tar.gz
and from this page:http://estudiantes.univalle.edu.co/~juanjmed/gtklxsplit/GTKlxsplit.html
get http://estudiantes.univalle.edu.co/~juanjmed/gtklxsplit/packages/gtklxsplit-0.1.1.tar.gz
Didn't need kylix installed, but you will need these packages from synaptic or apt-get: libgtk1.2 libgtk1.2-common libgtk1.2dev
Compile lxsplit first and then gtklxsplit (the graphical frontend).
The run command is gtklxsplit
Je moet dus eerst het bestandjes uitpakken en daarna compileren. Dit doe je door eerst in konsole naar de directory te gaan waar het je het bestandje hebt uitgepakt en hier achtereenvolgens te typen:

./configure
make
make install

Ik zou eerst nog even kijken naar een readme file in het uitgepakte bestandje waar informatie staat over hoe je het moet compileren. Soms moet je nog extra argumenten meegeven.

Vervolgens de pakketten installeren (als je kylix niet gebruikt zoals beschreven) met:

sudo apt-get install libgtk1.2 libgtk1.2-common libgtk1.2dev

Offline merijn

  • Lid
  • Steunpunt: Nee
Hjsplit for Linux 2.3 probleem (filesplitter en joiner)
« Reactie #2 Gepost op: 2006/09/18, 17:39:20 »
Bedankt voor de hulp.
Nu werkt het programma.

Groetjes,

Merijn Versteeg

socratux

  • Gast
Hjsplit for Linux 2.3 probleem (filesplitter en joiner)
« Reactie #3 Gepost op: 2006/09/18, 18:39:26 »
das mooi :) het blijkt dus de goede oplossing te zijn voor Ubuntu

Offline merijn

  • Lid
  • Steunpunt: Nee
Hjsplit for Linux 2.3 probleem (filesplitter en joiner)
« Reactie #4 Gepost op: 2007/05/05, 13:11:57 »
Hoi,ik heb nu feisty fawn Ubuntu geinstalleerd.
waarvoor ik dus weer een hele tijd windowsXP had gebruikt.
Nu heb ik hjsplit nodig,maar alles wat er boven is uitgelegd werkt ineens niet meer in feisty fawn om dit progje te installeren en compileren.
Zou het misschien met de shell te maken kunnen hebben dat hier ook standaard Dash wordt gebruikt in plaats van bash?.
Of zou er een andere oplossing zijn dit progje te installeren?.
Met vriendelijke groet,

Merijn Versteeg

CrazyCentaur

  • Gast
Hjsplit for Linux 2.3 probleem (filesplitter en joiner)
« Reactie #5 Gepost op: 2007/05/05, 13:30:13 »
Heb je per se hjsplit nodig? Ik vond het zo'n gedoe tegenover het simpele lxsplit (van dezelfde mensen). Alleen is lxsplit iets wat je in de terminal doet. Haal het op, pak het uit, kijk in de README, en werkelijk: het is zo gedaan. Als je niet meer wilt dan bestanden joinen of splitten is dit snel en gemakkelijk.

Offline merijn

  • Lid
  • Steunpunt: Nee
Hjsplit for Linux 2.3 probleem (filesplitter en joiner)
« Reactie #6 Gepost op: 2007/05/05, 15:19:52 »
Hoi,in ieder geval bedankt voor je uitleg CrazyCentaur.
Maar ik heb geprobeerd wat er in de readme stond en kreeg met het compileren dus deze foutmelding.
Weet je misschien wat ik fout doe?,of welke bibliotheken ik eventueel voor de compiler mis?.
Want daar kan het hem ook wel eens in zitten.

gcc -c -W -O2 -DNO_DEBUG  -o func.o func.c
func.c:1:20: error: stdlib.h: No such file or directory
func.c:2:20: error: unistd.h: No such file or directory
func.c:3:19: error: stdio.h: No such file or directory
func.c: In function ‘strip_path’:
func.c:13: warning: incompatible implicit declaration of built-in function ‘strlen’
func.c:22: warning: incompatible implicit declaration of built-in function ‘malloc’
func.c: In function ‘shorten_path’:
func.c:41: warning: incompatible implicit declaration of built-in function ‘strlen’
func.c:44: warning: incompatible implicit declaration of built-in function ‘malloc’
make: *** [func.o] Error 1
-------------

Benkt voor de hulp.


Groetjes,

Merijn

CrazyCentaur

  • Gast
Hjsplit for Linux 2.3 probleem (filesplitter en joiner)
« Reactie #7 Gepost op: 2007/05/05, 16:24:25 »
Zou het helpen als je via Synaptic build-essential installeert? Dan heb je in ieder geval alles actief wat nodig is voor compileren.

Offline merijn

  • Lid
  • Steunpunt: Nee
Hjsplit for Linux 2.3 probleem (filesplitter en joiner)
« Reactie #8 Gepost op: 2007/05/05, 17:25:19 »
Ok bedankt ik zal het proberen of het nu werkt,inderdaad ik was hem helemaal vergeten te installeren.
Namelijk ik wist helemaal niets meer over build-essential.
Ik ben namelijk pas weer terug met Linux en vroeger heb ik het wel geweten,dat het nodig was voor compileren.
Maar dat was ik dus kats vergeten.
Maar goed weer wat geleerd,en ik zal het onthouden.

Groetjes,

Merijn

CrazyCentaur

  • Gast
Hjsplit for Linux 2.3 probleem (filesplitter en joiner)
« Reactie #9 Gepost op: 2007/05/05, 17:32:11 »
Geen punt, toch?! Ik weet zelf niet eens zeker of dat nu het pakket is dat het gaat doen. Ik had zelf geen enkel probleem met de installatie, niet in Ubuntu 6.06, niet in 610 en nu niet in 7.04. Maar ik gebruik dus geen Kubuntu of Xubuntu of whatever. Ik heb de standaard Ubuntu installatie en juist op deze computer hier niets voor programmeren toegevoegd. Ik hoop dat het je lukt.

Offline merijn

  • Lid
  • Steunpunt: Nee
Hjsplit for Linux 2.3 probleem (filesplitter en joiner)
« Reactie #10 Gepost op: 2007/05/05, 17:34:13 »
Ok ik heb hem net geinstalleerd en alles werkt weer,nogmaals bedankt.


Groetjes,

Merijn